# pht\AtomicInteger::set

(PECL pht >= 0.0.1)

pht\AtomicInteger::set — Sets the atomic integer's value

### Description

public pht\AtomicInteger::set ( int `$value` ) : void

This method will set the value of the atomic integer. Internally, the mutex lock of the atomic integer will be acquired, and so there is no need to manually acquire it (unless this operation needs to be grouped with other operations on the same atomic integer - see the example in pht\AtomicInteger::lock() for a demonstration of this).

### Parameters

`value`

  The value to set the atomic integer to.

### Return Values

No return value.

### Examples

Example #1 Setting an atomic integer's value

`<?php
use pht\AtomicInteger;
$atomicInteger = new AtomicInteger();
$atomicInteger->set(20);
var_dump($atomicInteger->get());`

The above example will output:

    int(20)